Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Class PortletSessionUtil

    java.lang.Object
      javax.portlet.PortletSessionUtil

    public class PortletSessionUtil

extends java.lang.Object

The `PortletSessionUtil` class helps identify and decode attributes in the `PORTLET_SCOPE` scope of the PortletSession when accessed through the HttpSession an from within calls to methods of the HttpSessionBindingListener interface.

Version:
  $Revision: 5441 $
Author:
  Julien Viet

Constructor Summary
`PortletSessionUtil()`

Method Summary
`static java.lang.String` | `decodeAttributeName(java.lang.String name)` Returns the attribute name of an attribute in the `PORTLET_SCOPE`.
`static int` | `decodeScope(java.lang.String name)` Returns the portlet attribute scope from an encoded portlet attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletSessionUtil

    public PortletSessionUtil()

Method Detail

### decodeAttributeName

    public static java.lang.String decodeAttributeName(java.lang.String name)

  Returns the attribute name of an attribute in the `PORTLET_SCOPE`. If the attribute is in the `APPLICATION_SCOPE` it returns the attribute name unchanged.

  Parameters:
    `name` - a string specifying the name of the encoded portlet attribute
  Returns:
    the decoded attribute name

### decodeScope

    public static int decodeScope(java.lang.String name)

  Returns the portlet attribute scope from an encoded portlet attribute.
  Possible return values are:
  - `PortletSession.APPLICATION_SCOPE`
  - `PortletSession.PORTLET_SCOPE`

  Parameters:
    `name` - a string specifying the name of the encoded portlet attribute
  Returns:
    the decoded attribute scope
  See Also:
    `PortletSession`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.